%global codename fuerte
%global shortname bullet

Name:		ros-%{codename}-bullet
Version:	2.79
Release:	1%{?dist}
Summary:	Basic Geometric and Math libraries used in ROS
License:	BSD
URL:		http://ros.org/wiki/bullet
Source0:	https://code.ros.org/svn/release/download/stacks/bullet/bullet-%{version}/bullet-%{version}.tar.bz2
Provides:	ros-%{shortname} = %{version}-%{release}
Requires:	ros-%{codename}-ros
Requires:	bullet%{?_isa} = %{version}

%description
This is a metapackage that "provides" the bullet stack for ROS. It 
uses the system bullet libraries and headers.

%package devel
Summary:	Development files for ROS bullet
Requires:	ros-%{codename}-ros-devel
Requires:	bullet-devel%{?_isa} = %{version}
Requires:	%{name} = %{version}-%{release}
Provides:	ros-%{shortname}-devel = %{version}-%{release}

%description devel
Development files for ROS bullet.

%prep
%setup -q -c

%build
# Nothing to do here.

%install
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/lib
for i in libBulletCollision.so libBulletDynamics.so libBulletMultiThreaded.so libBulletSoftBody.so libBulletSoftBodySolvers_CPU.so libBulletSoftBodySolvers_OpenCL_Mini.so libLinearMath.so libMiniCL.so; do
  ln -s %{_libdir}/$i.2 %{buildroot}%{_datadir}/ros-stacks/%{shortname}/lib/
  ln -s %{_libdir}/$i.%{version} %{buildroot}%{_datadir}/ros-stacks/%{shortname}/lib/
  ln -s %{_libdir}/$i %{buildroot}%{_datadir}/ros-stacks/%{shortname}/lib/
done

ln -s %{_includedir}/bullet %{buildroot}%{_datadir}/ros-stacks/%{shortname}/include
cp -a %{shortname}-%{version}/*.xml  %{buildroot}%{_datadir}/ros-stacks/%{shortname}/

%files
%{_datadir}/ros-stacks/%{shortname}/
%exclude %{_datadir}/ros-stacks/%{shortname}/include/

%files devel
%{_datadir}/ros-stacks/%{shortname}/include/

%changelog
* Tue May 22 2012 Tom Callaway <spot@fedoraproject.org> - 2.79-1
- initial package
